> ## Documentation Index
> Fetch the complete documentation index at: https://docs.barrio7.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a user with assigned roles and organizaciones



## OpenAPI

````yaml post /api/users
openapi: 3.0.0
info:
  title: Barrio7.org API
  description: An API for the La Senda application of barrio7.org
  contact:
    name: Abinadi Ayerdis
    email: abinadi.ayerdis@gmail.com
  version: '1.0'
servers: []
security: []
paths:
  /api/users:
    post:
      summary: Creates a user with assigned roles and organizaciones
      operationId: 592819a0265360b2014512d6dbfaf0e7
      requestBody:
        description: Request should be application/json
        content:
          application/json:
            schema:
              properties:
                nombre:
                  type: string
                email:
                  type: string
                organizaciones:
                  type: array
                  items:
                    type: string
                roles:
                  type: array
                  items:
                    type: string
              type: object
            example:
              nombre: Fulano de Tal
              email: fulano@ejemplo.com
              organizaciones:
                - Obispado
              roles:
                - admin
                - asesor
      responses:
        '201':
          description: CREATED
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResult'
              examples:
                result:
                  summary: A result object
                  value:
                    id: UUID
                    nombre: Fulano de tal
                    email: fulano@ejemplo.com
                    organizaciones:
                      - Obispado
                      - Hombres jóvenes
                    roles:
                      - admin
        '404':
          description: NOT FOUND
        '422':
          description: Unprocessable Content
components:
  schemas:
    UserResult:
      title: User
      properties:
        id:
          type: string
        nombre:
          type: string
        email:
          type: string
        organizaciones:
          type: array
          items:
            type: string
        roles:
          type: array
          items:
            type: string
      type: object

````